import os
import re

# 置換前の文字列のリスト
old_str_list = ['①', '②', '③', '④', '⑤', '⑥', '⑦', '⑧', '⑨']
# 置換後の文字列のリスト
new_str_list = ['1_', '2_', '3_', '4_', '5_', '6_', '7_', '8_', '9_']

# 置換を行うフォルダのパス（相対パスでも絶対パスでもOK）
folder_path = 'C:/Users/ユーザー名/Desktop'

# フォルダ内のすべてのファイルとフォルダのリストを取得する
for root, dirs, files in os.walk(folder_path):
    for file in files:
        # ファイル名に対して置換を行う
        old_file_path = os.path.join(root, file)
        new_file_path = old_file_path
        for i, old_str in enumerate(old_str_list):
            new_str = new_str_list[i]
            new_file_path = new_file_path.replace(old_str, new_str)
        if old_file_path != new_file_path:
            os.rename(old_file_path, new_file_path)
        
    for dir in dirs:
        # フォルダ名に対して置換を行う
        old_dir_path = os.path.join(root, dir)
        new_dir_path = old_dir_path
        for i, old_str in enumerate(old_str_list):
            new_str = new_str_list[i]
            new_dir_path = new_dir_path.replace(old_str, new_str)
        if old_dir_path != new_dir_path:
            os.rename(old_dir_path, new_dir_path)
        
